body {
  font-family: Arial, Helvetica, sans-serif;
  position: relative;
}

.spinnerWrap {
  display: flex;
  justify-content: center;
  align-items: center;
}

.wrapPost {
  background-color: rgb(20, 20, 20);
  border: 1px solid #7a7272;
  margin: 30px;
  padding: 30px;
  border-radius: 5px;
  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
  position: relative;
}

.usersDataWrap {
  margin-bottom: 20px;
}

.nameSurname {
  font-size: 18px;
  font-weight: 700;
  margin-right: 10px;
  color: #ffffff;
}

.userName {
  font-size: 16px;
  color: #968b8b;
}

.userEmail {
  margin-top: 20px;
  font-size: 16px;
  color: #ffffff;
}

.titleContent {
  font-size: 16px;
  color: #968b8b;
  margin-bottom: 20px;
}

.contentText {
  font-size: 18px;
  margin-right: 10px;
  color: #ffffff;
}

.closeIconWrap {
  display: inline-block;
  position: absolute;
  height: 30px;
  width: 30px;
  top: 25px;
  right: 25px;
  cursor: pointer;
}

.closeIconWrap img {
  max-width: 100%;
  max-height: 100%;
}

.wrapAddBtn {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  margin-right: 30px;
  margin-top: 30px;
}

.button-29 {
  align-items: center;
  appearance: none;
  background-image: radial-gradient(
    100% 100% at 100% 0,
    #5adaff 0,
    #5468ff 100%
  );
  border: 0;
  border-radius: 6px;
  box-shadow: rgba(45, 35, 66, 0.4) 0 2px 4px,
    rgba(45, 35, 66, 0.3) 0 7px 13px -3px, rgba(58, 65, 111, 0.5) 0 -3px 0 inset;
  box-sizing: border-box;
  color: #fff;
  cursor: pointer;
  display: inline-flex;
  font-family: "JetBrains Mono", monospace;
  height: 48px;
  justify-content: center;
  line-height: 1;
  list-style: none;
  overflow: hidden;
  padding-left: 16px;
  padding-right: 16px;
  position: relative;
  text-align: left;
  text-decoration: none;
  transition: box-shadow 0.15s, transform 0.15s;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
  white-space: nowrap;
  will-change: box-shadow, transform;
  font-size: 18px;
}

.button-29:focus {
  box-shadow: #3c4fe0 0 0 0 1.5px inset, rgba(45, 35, 66, 0.4) 0 2px 4px,
    rgba(45, 35, 66, 0.3) 0 7px 13px -3px, #3c4fe0 0 -3px 0 inset;
}

.button-29:hover {
  box-shadow: rgba(45, 35, 66, 0.4) 0 4px 8px,
    rgba(45, 35, 66, 0.3) 0 7px 13px -3px, #3c4fe0 0 -3px 0 inset;
  transform: translateY(-2px);
}

.button-29:active {
  box-shadow: #3c4fe0 0 3px 7px inset;
  transform: translateY(2px);
}

/* ----------form------------- */

.hide {
  display: none;
}

.hideEdit {
  display: none;
}

.wrapForm {
  margin: 0 auto;
  position: fixed;
  z-index: 1000;
  transform: translate(-50%, -50%);
  left: 50%;
  top: 50%;
}

.form {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  background-color: #3c4fe0;
  border-radius: 20px;
  box-sizing: border-box;
  height: 400px;
  padding: 20px;
  width: 400px;
  margin: 0 auto;
}

.form input {
  background-color: #303245;
  border-radius: 12px;
  border: 0;
  box-sizing: border-box;
  color: #eee;
  font-size: 18px;
  padding: 20px;
  outline: 0;
  padding: 20px;
  margin-top: 20px;
}

.closeIconWrapForm {
  width: 25px;
  height: 25px;
  position: absolute;
  top: 20px;
  right: 20px;
  cursor: pointer;
}

.closeIconWrapForm img {
  width: 100%;
  height: 100%;
}


.inputSubmit{
  cursor: pointer;
}


.editIconWrap {
  display: inline-block;
  position: absolute;
  height: 30px;
  width: 30px;
  top: 25px;
  right: 80px;
  cursor: pointer;
}

.editIconWrap img {
  max-width: 100%;
  max-height: 100%;
}

/* .wrapEdit{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;

} */

.wrapEdit textarea{
  width: 90%;
  margin-top: 20px;
  
}

.wrapEdit input{
margin-top: 20px;
}